function SceneScene2() {
}

SceneScene2.prototype.initialize = function () {
//alert("SceneScene2.initialize()");
// this function will be called only once when the scene manager show this scene first time
// initialize the scene controls and styles, and initialize your variables here 
// scene HTML and CSS will be loaded before this function is called
$('#category_selector').sfList({data:'', itemsPerPage:'8', index:'0'});
$('#category_selector').css('visibility','hidden');
$('#category_selector').sfList({data:SceneScene2.GetCategoryList(), index:playlist.filter});
$('#category_scroll').sfScroll({pages:Math.ceil(category.length/8), currentPage:Math.floor(playlist.filter/8)});
$('#category_selector').css('visibility','visible');
}

SceneScene2.prototype.handleShow = function (data) {
//alert("SceneScene2.handleShow()");
// this function will be called when the scene manager show this scene 
$('#category_selector').sfList('focus');
$('#footer').sfKeyHelp('hide');
$('#category_footer').sfKeyHelp('show');
}

SceneScene2.prototype.handleHide = function () {
//alert("SceneScene2.handleHide()");
// this function will be called when the scene manager hide this scene 
$('#category_footer').sfKeyHelp('hide');
$('#footer').sfKeyHelp('show');
}

SceneScene2.prototype.handleFocus = function () {
//alert("SceneScene2.handleFocus()");
// this function will be called when the scene manager focus this scene
}

SceneScene2.prototype.handleBlur = function () {
//alert("SceneScene2.handleBlur()");
// this function will be called when the scene manager move focus to another scene from this scene
}

SceneScene2.prototype.handleKeyDown = function (keyCode) {
//alert("SceneScene2.handleKeyDown(" + keyCode + ")");
// TODO : write an key event handler when this scene get focued
	switch (keyCode) {
		case sf.key.LEFT:
			break;
		case sf.key.RIGHT:
			break;
		case sf.key.UP:
			$('#category_selector').sfList('prev');
			$('#category_scroll').sfScroll('move', Math.floor($('#category_selector').sfList('getIndex')/8));
			break;
		case sf.key.DOWN:
			$('#category_selector').sfList('next');
			$('#category_scroll').sfScroll('move', Math.floor($('#category_selector').sfList('getIndex')/8));
			break;
		case sf.key.ENTER:
			playlist.filter = $('#category_selector').sfList('getIndex');
			sf.scene.hide('Scene2');
			SceneScene1.GetChannelsList();
			sf.scene.show('Scene1');
			sf.scene.focus('Scene1');
			break;
		case sf.key.EXIT:
			widgetAPI.blockNavigation(event);
			break;
		case sf.key.RETURN:
			widgetAPI.blockNavigation(event);
			break;
	}
}

SceneScene2.GetCategoryList = function() {
	var result = [];
	for( i in category ) {
		result.push(category[i][0]);
	}
	return result;
}