﻿alert('SceneScene1.js loaded');
var widgetAPI = new Common.API.Widget();
var pluginTime;
var pluginNnavi;
var pluginSef;
var timeout_screansaver;  // таймер задержки включения скринсейвера
var timeout_buttonPress; // таймер задержки при перемещении по списку
var flag_timer; 	// таймер рефреша прогрессбара
var song_timer; 	// таймер длительности композиции
var refreshInfo_timer;   //таймер обновления информации о канале
var myUserAgent = "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)";

// список каналов
var playlist = {
	object: [], // массив параметров каналов с примененными сортировкой и фильтрацией
	list: [], // массив названий каналов для подключения к .sfList на основе object
	sort:	0, // сортировка 0-без сортировки, 1-сортировка по алфавиту
	filter: 0, // фильтр каналов по категории 0-все каналы, >0 - id категории для фильтра
}
// параметры плеера
var player = {
	state:	0, // состояние плеера 0 - остановлен, 1 - запущен
	selectChannel: 0, // id запущенного на проигрование канала
	bitrate: 2, // битрейт 1-низкий(32), 2-высокий(96)
}
// параметры текущей композиция
var song = {
	title: '', // название композиции
	duration: 0, // длительность
	losttime: 0, // время до окончания
	endtime: 0, // время окончания
	id: 0, // идентификатор
}

function SceneScene1() {
}

SceneScene1.prototype.initialize = function () {
	alert("SceneScene1.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here 
	// scene HTML and CSS will be loaded before this function is called
	$('#footer').sfKeyHelp({
		'RED':'Сортировка','GREEN':'Категории','BLUE':'Качество звучания','PLAY':'Пуск','STOP':'Стоп','MOVE':'Выбор канала','INFO':'Инфо' ,'return':'Выход'
	});
	$('#category_footer').sfKeyHelp({
		'UPDOWN':'Переход', 'ENTER':'Выбор', 'theme':'BLACK'
	});
	$('#category_footer').sfKeyHelp('hide');
	$jScroller.add("#scroller_container","#player_status","left",5, false);
	pluginTime = sf.core.plugin('TIME');
	pluginNnavi = sf.core.plugin('NNAVI');
	pluginSef = sf.core.plugin('SEF');
	pluginSef.Open('Player', '1.000', 'Player');
	sf.service.setScreenSaver(false);
	$('#channel_selector').sfList({data:playlist.list,itemsPerPage:'7',index:'0'});
	SceneScene1.GetChannelsList();
	$('#player_timeline').sfProgressBar({value:'0', max:'100', type:'status'});

	widgetAPI.putInnerHTML(document.getElementById("logo"), '<img src="images/logo101.gif">');
	widgetAPI.putInnerHTML(document.getElementById("infopicture"), '<img src="images/radio-2.png">');
	SceneScene1.fulltime();
}
SceneScene1.prototype.handleShow = function (data) {
	alert("SceneScene1.handleShow()");
	// this function will be called when the scene manager show this scene 
	timeout_screansaver = setTimeout('SceneScene1.startScreansaver()',60000);
}
SceneScene1.prototype.handleHide = function () {
	alert("SceneScene1.handleHide()");
	// this function will be called when the scene manager hide this scene  
}
SceneScene1.prototype.handleFocus = function () {
	alert("SceneScene1.handleFocus()");
	// this function will be called when the scene manager focus this scene
}
SceneScene1.prototype.handleBlur = function () {
	alert("SceneScene1.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
}
SceneScene1.prototype.handleKeyDown = function (keyCode) {
	alert("SceneScene1.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	clearTimeout(timeout_screansaver); 
	timeout_screansaver = setTimeout('SceneScene1.startScreansaver()',60000);
	switch (keyCode) {
		case sf.key.RIGHT:
			var position = ((Math.floor($('#channel_selector').sfList('getIndex')/7)) + 1) * 7;
			if ( Math.ceil(position/7) + 1 > Math.ceil(playlist.object.length/7) )
				position = 0;
			$('#channel_selector').sfList('move', position) ;
			$('#channel_scroll').sfScroll('move', Math.floor($('#channel_selector').sfList('getIndex')/7));
			clearTimeout(timeout_buttonPress);
			timeout_buttonPress = setTimeout('SceneScene1.viewInfoArea()',1000);
			break;
		case sf.key.LEFT:
			var position = ((Math.floor($('#channel_selector').sfList('getIndex')/7)) - 1) * 7;
			if ( position < 0 )
				position = ((Math.ceil(playlist.object.length/7)-1) * 7);
			$('#channel_selector').sfList('move', position) ;
			$('#channel_scroll').sfScroll('move', Math.floor($('#channel_selector').sfList('getIndex')/7));
			clearTimeout(timeout_buttonPress);
			timeout_buttonPress = setTimeout('SceneScene1.viewInfoArea()',1000);
			break;
		case sf.key.UP:
			$('#channel_selector').sfList('prev');
			$('#channel_scroll').sfScroll('move', Math.floor($('#channel_selector').sfList('getIndex')/7));
			clearTimeout(timeout_buttonPress);
			timeout_buttonPress = setTimeout('SceneScene1.viewInfoArea()',1000);
			break;
		case sf.key.DOWN:
			$('#channel_selector').sfList('next');
			$('#channel_scroll').sfScroll('move', Math.floor($('#channel_selector').sfList('getIndex')/7));
			clearTimeout(timeout_buttonPress);
			timeout_buttonPress = setTimeout('SceneScene1.viewInfoArea()',1000);
			break;
		case sf.key.ENTER:
			if ( player.state == 1 ) {
				SceneScene1.Stop();
			}
			SceneScene1.Play();
			break;
		case sf.key.PLAY:
			if ( player.state == 1 ) {
				SceneScene1.Stop();
			}
			SceneScene1.Play();
			break;
		case sf.key.STOP:
			if ( player.state == 1 ) {
				SceneScene1.Stop();
			}
			break;
		case sf.key.BLUE:
			if ( player.bitrate == 1 ) {
				player.bitrate = 2;
				widgetAPI.putInnerHTML(document.getElementById('bitrate'),'[128 Kb/s]');
			} else {
				player.bitrate = 1;
				widgetAPI.putInnerHTML(document.getElementById('bitrate'),'[32 Kb/s]');
			}
			if ( player.state == 1 ) {
				SceneScene1.Stop();
				SceneScene1.Play();
				break;
			}
			break;
		case sf.key.RED:
			if ( playlist.sort == 0 ) {
				playlist.sort = 1;
				SceneScene1.GetChannelsList();
			} else {
				playlist.sort = 0;
				SceneScene1.GetChannelsList();
			}
			break;
		case sf.key.GREEN:
			sf.scene.show('Scene2');
			sf.scene.focus('Scene2');
			break;
		case sf.key.YELLOW:
			break;
		case sf.key.INFO:
			sf.scene.show('Scene3');
			sf.scene.focus('Scene3');
			break;
		case sf.key.EXIT:
			widgetAPI.blockNavigation(event);
			break;
		case sf.key.RETURN:
			widgetAPI.blockNavigation(event);
			widgetAPI.sendReturnEvent();
			break;
	}
}
// Функция таймера для часов
SceneScene1.fulltime = function() {
	var currTime = pluginTime.GetEpochTime(); 
	var LocTime = pluginTime.ConvertEpochToLocalTime(currTime);
	widgetAPI.putInnerHTML(document.getElementById("timer"),  LocTime.slice(11).replace(/[/]/g,':'));
	setTimeout('SceneScene1.fulltime()',1000);
}
// Функция вывода недавно в эфире
SceneScene1.getProgram = function() {
	jQuery.ajax({
			type: "GET",
			url: "http://101.ru/ajax/lastsong.php?channel=" + playlist.object[$('#channel_selector').sfList('getIndex')][1] + "&tmpl=0&count=5",
			beforeSend: function(obj) { 
				obj.setRequestHeader("User-Agent", myUserAgent); 
			},
			success: function(request) {
						widgetAPI.putInnerHTML(document.getElementById("lastsongs"), request);
						$('#lastsongs').prepend("Недавно в эфире:");
						delete request;
					},
			error: function(request) {
						widgetAPI.putInnerHTML(document.getElementById("lastsongs"), "<p>Не удалось получить информацию</p>");
						delete request;
					}
	});	
}
// Получаем URL потока выбранного канала с учетом битрейда
SceneScene1.getStream = function() {
	var url = '';
	jQuery.ajax({
			type: "GET",
			dataType: "json",
			cache: false,
			async: false,
			beforeSend: function(obj) { 
				obj.setRequestHeader( "User-Agent", myUserAgent ); 
			},
			url: "http://101.ru/play.m3u?uid=" + playlist.object[$('#channel_selector').sfList('getIndex')][1] + "&bit=" + player.bitrate + "&serv=",
			success: function(request) {
						url = request.playlist[0].file;
						delete request;
					},
			error: function(request) {
						delete request;
					}
	});
return url;	
}
// Функция вывода информации о слушателях
SceneScene1.getUsersInfo = function() {
	jQuery.ajax({
			type: "GET",
			url: "http://101.ru/ajax/listlisten.php?channel=" + playlist.object[$('#channel_selector').sfList('getIndex')][1]+ "&temp=1",
			beforeSend: function(obj) { 
				obj.setRequestHeader( "User-Agent", myUserAgent ); 
			},
			success: function(request) {
						widgetAPI.putInnerHTML(document.getElementById("usersinfo"), request);
						$('#usersinfo').find('a').remove();
						delete request;
					},
			error: function(request) {
						widgetAPI.putInnerHTML(document.getElementById("usersinfo"), "<p>Не удалось получить информацию</p>");
						delete request;
					}
	});	
}
// Отображаем информационную область
SceneScene1.viewInfoArea = function() {
	clearTimeout(refreshInfo_timer);
	widgetAPI.putInnerHTML(document.getElementById("program_header"), 'КАНАЛ "' + playlist.object[$('#channel_selector').sfList('getIndex')][0] + '"');
	$('#programm_view').hide();
	SceneScene1.getProgram();
	SceneScene1.getUsersInfo();
	widgetAPI.putInnerHTML(document.getElementById("current_users"), $('#usersinfo').html());
	$('#programm_view').show();
	refreshInfo_timer = setTimeout('SceneScene1.viewInfoArea()',30000);
}
// Стартуем плеер
SceneScene1.Play = function() {
player.selectChannel = playlist.object[$('#channel_selector').sfList('getIndex')][1];
var url = SceneScene1.getStream();
pluginSef.Execute("Play",url);
if( pluginNnavi.GetFirmware() > 'T-INFOLINK2011' ) {
	pluginSef.Execute("SetPlayerProperty", 5, "mp3", 0);
}
pluginSef.Execute("SetPlayerProperty", 8, myUserAgent, myUserAgent.length);
//alert("Начинаем проигрывать");
$('#player_button').css('background-image', 'url("images/pause.png")');
sf.key.unregisterKey(sf.key.VOL_UP);
sf.key.unregisterKey(sf.key.VOL_DOWN);
sf.key.unregisterKey(sf.key.MUTE);
pluginNnavi.SetBannerState(2);
player.state = 1;
SceneScene1.getSongInfo();
widgetAPI.putInnerHTML(document.getElementById("channel_name"), 'Канал: ' + playlist.object[$('#channel_selector').sfList('getIndex')][0]);
widgetAPI.putInnerHTML(document.getElementById("current_users"), $('#usersinfo').html());
}
// Останавливаем плеер
SceneScene1.Stop = function() {
player.state = 0;
clearInterval(flag_timer);
clearTimeout(song_timer);
$jScroller.stop();
widgetAPI.putInnerHTML(document.getElementById('player_status'),'Состояние: плеер остановлен' );
$('#player_button').css('background-image', 'url("images/play.png")');
$('#player_timeline').sfProgressBar('setMax',100);
$('#player_timeline').sfProgressBar('setValue',0);
widgetAPI.putInnerHTML(document.getElementById('song_timer'),'00:00');
pluginSef.Execute("Stop", 0);
}
// Запрос параметров текущей композиции
SceneScene1.getSongInfo = function() {
jQuery.ajax({
			type: "GET",
			dataType: "json",
			cache: false,
			async: true,
			jsonp: undefined,
			jsonpCallback: undefined,
			contentType: "json; windows-1251",
			url: "http://101.ru/a_php/channel/ajax/now_efir.php?channel=" + player.selectChannel,
			success: function(request) {
						period_get_server = 0;
						clearInterval(flag_timer);
						song.title = request.title;
						song.duration = parseInt(request.duration);
						song.losttime = parseInt(request.out_of_time);
						song.losttime = parseInt(request.losttime);
						song.id = parseInt(request.song_id);
						song.endtime = new Date().getTime();
						song.endtime = (song.endtime/1000) + song.losttime;
						song.endtime = Math.round(song.endtime);
						delete request;
						if ( song.losttime > 0 && player.state == 1){
							widgetAPI.putInnerHTML(document.getElementById('player_status'),'Сейчас в эфире: ' + song.title);
							widgetAPI.putInnerHTML(document.getElementById('current_song'),song.title);
							$jScroller.start();
							$('#player_timeline').sfProgressBar('setMax',song.duration);
							flag_timer = setInterval('SceneScene1.SongTimerChange()', 1000);
						} 
						else {
						widgetAPI.putInnerHTML(document.getElementById('song_timer'),'00:00');
						song_timer = setTimeout('SceneScene1.getSongInfo()',1000);
						}
					},
			error: function(request) {
						$jScroller.stop();
						if ( player.state == 1 ){
							widgetAPI.putInnerHTML(document.getElementById('player_status'),'Состояние: загружаем информацию о текущем треке');
							widgetAPI.putInnerHTML(document.getElementById('song_timer'),'00:00');
							setTimeout('SceneScene1.getSongInfo()',1000);
						}
						delete request;
					}
});	
}
// Функция отображения таймера композиции
SceneScene1.SongTimerChange = function() {
var currentTime = Math.round( new Date().getTime()/1000 );
song.losttime = song.endtime - currentTime;
if( currentTime > song.endtime ) {
	clearInterval(flag_timer);
	$('#player_timeline').sfProgressBar('setMax',100);
	$('#player_timeline').sfProgressBar('setValue',0);
	SceneScene1.getSongInfo();
	return;
 }
var min = Math.floor(song.losttime/60);
var sec = song.losttime-(min*60);
if(min<10) min = '0'+min;
if(sec<10) sec = '0'+sec;
widgetAPI.putInnerHTML(document.getElementById('song_timer'),min+':'+sec);
$('#player_timeline').sfProgressBar('setValue',song.duration - song.losttime);
}
// Формирование списка каналов
SceneScene1.GetChannelsList = function() {
playlist.object = [];
playlist.list = [];
// Получаемa список каналов в соответсвии с фильтром
	for( i in channels ) {	
		if ( channels[i][2] == playlist.filter ||  playlist.filter == 0 ) { 
			playlist.object.push(channels[i]);
			}
	}
// Сортируем список каналов
	if ( playlist.sort == 1 ) {
		playlist.object.sort(SceneScene1.sortListForTitle);
	}
// Создаем список названий для sfList
	for( i in playlist.object ) {
		playlist.list.push(playlist.object[i][0]);
	}
// Обновляем sfList
	$('#channel_selector').sfList('clear');
	$('#channel_selector').sfList({data:playlist.list});
	$('#channel_selector').sfList('focus');
	$('#channel_scroll').sfScroll({pages:Math.ceil(playlist.list.length/7), currentPage:'0'});
// Обновляем информационную область
	SceneScene1.viewInfoArea();
}
// Функция сортировки по названию
SceneScene1.sortListForTitle = function(i,ii) {
 if (i[0] > ii[0])
	return 1;
 else if (i[0] < ii[0])
	return -1;
 else
	return 0;
}
// Запускаем скринсейвер
SceneScene1.startScreansaver = function() {
	if ( player.state == 1 ) {
		sf.scene.hide('Scene1');
		sf.scene.show('Scene4');
		sf.scene.focus('Scene4');
	}
	else {
		timeout_screansaver = setTimeout('SceneScene1.startScreansaver()',60000);	
	}
}
